graphView.annotations

## Class ValueAnnotation

- java.lang.Object
- - org.jfree.chart.annotations.AbstractAnnotation
  - - graphView.annotations.AxisAnnotation
    - - graphView.annotations.ValueAnnotation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.jfree.chart.annotations.Annotation

Direct Known Subclasses:
  XYDomainValueAnnotation

    public abstract class ValueAnnotation
    extends AxisAnnotation

The Class ValueAnnotation.

Author:
  peter
See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`double` `getValue()` Gets the value.
`void` `setValue(double value)` Sets the value.

### Methods inherited from class graphView.annotations.AxisAnnotation

`equals, getLabel, getLabelAnchor, getLabelAngle, getLabelBackgroundPaint, getLabelFont, getLabelOffset, getLabelOffsetType, getLabelPaint, getLabelTextAnchor, getOutlinePaint, getOutlineStroke, getPaint, getRotationAnchor, getStroke, getToolTipText, getURL, hashCode, isLabelBackgroundVisible, isLabelClippingAllowed, isLabelVisible, setLabel, setLabelAnchor, setLabelAngle, setLabelBackgroundPaint, setLabelBackgroundVisible, setLabelClippingAllowed, setLabelFont, setLabelOffset, setLabelOffsetTyte, setLabelPaint, setLabelTextAnchor, setLabelVisible, setOutlinePaint, setOutlineStroke, setPaint, setRotationAnchor, setStroke, setToolTipText, setURL`

### Methods inherited from class org.jfree.chart.annotations.AbstractAnnotation

`addChangeListener, clone, getNotify, hasListener, removeChangeListener, setNotify`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getValue

    public double getValue()

Gets the value.

Returns:
  the value

#### setValue

    public void setValue(double value)

Sets the value.

Parameters:
  `value` - the new value